OpenSubdiv: GLLegacyGregoryPatchTable Class Reference

| OpenSubdiv

Loading...
Searching...
No Matches
GLLegacyGregoryPatchTable Class Reference

`#include <glLegacyGregoryPatchTable.h>`

Inheritance diagram for GLLegacyGregoryPatchTable:

## Public Types
using | ID = unsigned int

## Public Member Functions
| ~GLLegacyGregoryPatchTable ()
void | UpdateVertexBuffer (ID vbo)
ID | GetVertexTextureBuffer () const
ID | GetVertexValenceTextureBuffer () const
ID | GetQuadOffsetsTextureBuffer () const
ID | GetQuadOffsetsBase (Far::PatchDescriptor::Type type)

## Static Public Member Functions
static GLLegacyGregoryPatchTable * | Create (Far::PatchTable const *patchTable)

## Protected Member Functions
| GLLegacyGregoryPatchTable ()

## Detailed Description

Definition at line 21 of file glLegacyGregoryPatchTable.h.

## Member Typedef Documentation

## ◆ ID

using ID = unsigned int

Definition at line 24 of file glLegacyGregoryPatchTable.h.

## Constructor & Destructor Documentation

## ◆ ~GLLegacyGregoryPatchTable()

~GLLegacyGregoryPatchTable | ( |  | ) |

## ◆ GLLegacyGregoryPatchTable()

GLLegacyGregoryPatchTable | ( |  | ) |
| protected

## Member Function Documentation

## ◆ Create()

GLLegacyGregoryPatchTable * Create | ( | Far::PatchTable const * | patchTable | ) |
| static

## ◆ GetQuadOffsetsBase()

ID GetQuadOffsetsBase | ( | Far::PatchDescriptor::Type | type | ) |
| inline

Definition at line 44 of file glLegacyGregoryPatchTable.h.

## ◆ GetQuadOffsetsTextureBuffer()

ID GetQuadOffsetsTextureBuffer | ( |  | ) | const
| inline

Definition at line 40 of file glLegacyGregoryPatchTable.h.

## ◆ GetVertexTextureBuffer()

ID GetVertexTextureBuffer | ( |  | ) | const
| inline

Definition at line 32 of file glLegacyGregoryPatchTable.h.

## ◆ GetVertexValenceTextureBuffer()

ID GetVertexValenceTextureBuffer | ( |  | ) | const
| inline

Definition at line 36 of file glLegacyGregoryPatchTable.h.

## ◆ UpdateVertexBuffer()

void UpdateVertexBuffer | ( | ID | vbo | ) |

The documentation for this class was generated from the following file:

- opensubdiv/osd/glLegacyGregoryPatchTable.h